const { createSlice } = require('@reduxjs/toolkit')

const request = require('./lib/utils/request')
const basicAction = require('./lib/utils/basicAction')
const basicReducer = require('./lib/utils/basicReducer')
const createStore = require('./lib/utils/store')

module.exports = {
   request,
   basicAction,
   basicReducer,
   createSlice,
   createStore,
}
